version: '3'
services:
    shell:
        image: inistcnrs/lodex-workers-python:4.0.11
        environment:
            - http_proxy
            - https_proxy
        volumes:
           - .:/app
        command: bash
    python:
        image: inistcnrs/lodex-workers-python:4.0.11
        environment:
            - http_proxy
            - https_proxy
        ports:
            - 31976:31976
        volumes:
            - ./${WORKING_DIR}:/app/public
    nodejs:
        image: inistcnrs/lodex-workers:9.3.0
        environment:
            - http_proxy
            - https_proxy
        ports:
            - 31976:31976
        volumes:
            - ./${WORKING_DIR}:/app/public


